Website
Dashboard
Website
Dashboard
  • ๐Ÿ‘‰ Welcome
  • ๐Ÿง How to set up an account
  • ๐Ÿ“ˆ Monitoring and analytics
  • ๐Ÿ” Introducing coins vs tokens
  • ๐Ÿ‘จโ€๐Ÿ’ผ The meaning of owning crypto
  • ๐Ÿ’ฐ Wallets
  • ๐Ÿ“œ Supported Blockchains
  • GITHUB
    • ๐Ÿ˜ SDK PHP
    • ๐Ÿ“ SDK Python
    • ๐Ÿ‘จโ€๐Ÿ’ป SDK GOLANG
    • โœณ๏ธ SDK NODE JS
    • โœณ๏ธ PHP Wallet
  • API REFERENCE
    • Bitcoin
      • ๐Ÿ” Info
        • ๐Ÿง Check BTC node health
        • ๐Ÿ“œ Get latest Bitcoin block
      • ๐Ÿ†Ž Block
        • ๐Ÿ“ˆ Get Bitcoin block by height
        • ๐Ÿ‘จโ€๐Ÿ’ป Get Bitcoin block by hash
        • ๐Ÿ“‘ Get transaction count in block by height
        • ๐Ÿ“‘ Get transaction count in block by hash
      • ๐Ÿ’ฐ Transactions
        • ๐Ÿ‘จโ€๐Ÿ’ป Get Bitcoin transaction by hash
        • ๐Ÿ“ Send pre-signed raw Bitcoin transaction
      • ๐Ÿ‘จโ€๐Ÿ’ผ Account
        • ๐Ÿ’ฐ List BTC addresses managed by node wallet
        • ๐Ÿ†Ž Get BTC received amount for address
      • ๐Ÿ” JSON-RPC
        • ๐Ÿ” JSON-RPC
    • Ethereum
      • ๐Ÿ” Info
        • ๐Ÿง Check ETH node health
        • ๐Ÿ“œ Get latest Ethereum block
      • ๐Ÿ†Ž Block
        • ๐Ÿ“ˆ Get Ethereum block by height
        • ๐Ÿ‘จโ€๐Ÿ’ป Get Ethereum block by hash
        • ๐Ÿ“‘ Get transaction count in block by height
        • ๐Ÿ“‘ Get transaction count in block by hash
      • ๐Ÿ’ฐ Transactions
        • ๐Ÿ‘จโ€๐Ÿ’ป Get Ethereum transaction by hash
        • ๐Ÿ‘จโ€๐Ÿ’ป Get Ethereum transaction receipt by hash
        • ๐Ÿ“ Send pre-signed raw Ethereum transaction
      • ๐Ÿ‘จโ€๐Ÿ’ผ Account
        • ๐Ÿ” List ETH accounts managed by node
        • ๐Ÿ†Ž Get ETH balance for address
        • ๐Ÿ†Ž Get transaction count (nonce) for address
        • ๐Ÿ‘‰ Estimate gas for transaction
        • ๐Ÿ“‘ Read-only contract call (eth_call)
        • ๐Ÿ‘จโ€๐Ÿ’ผ Send transaction from node-managed account
      • ๐Ÿ” JSON-RPC
        • ๐Ÿ” JSON-RPC
    • Tron
      • ๐Ÿ” Info
        • ๐Ÿ“‘ Get TRX node info
        • ๐Ÿง Check Tron node health
      • ๐Ÿ†Ž Block
        • ๐Ÿ“œ Get latest Tron block
        • ๐Ÿ“œ Get latest N blocks
        • ๐ŸŸ  Get block by number
        • ๐Ÿ‘จโ€๐Ÿ’ป Get block by hash
      • ๐Ÿ’ฐ Transactions
        • ๐Ÿ‘จโ€๐Ÿ’ป Get transaction by hash
        • ๐Ÿ†Ž Get all transactions for an address
      • ๐Ÿ‘จโ€๐Ÿ’ผ Account
        • ๐Ÿ†Ž Validate a Tron address
        • ๐Ÿ” Get account information
        • ๐Ÿ’ฐ Get account balance
        • ๐Ÿ†Ž Create a new Tron address
        • ๐Ÿ’ต Generate a private key from a mnemonic
        • ๐Ÿ“Š Send TRX from one address to another
        • ๐Ÿ“Š Send USDT (TRC20) from one address to another
      • โœณ๏ธ Webhooks
        • ๐Ÿ‘จโ€๐Ÿ“œ List webhooks
        • ๐Ÿง Create webhook
        • ๐Ÿ‘‰ Get webhook
        • ๐Ÿ‘จโ€๐Ÿ” Update webhook
        • โŒ Delete webhook
      • ๐Ÿ“Š Schemas
      • ๐Ÿ” JSON-RPC

๐Ÿง Check Tron node health

Code samples

GET /api/v1/trx/health

Returns health status from TRX indexer service.

Example responses

200 Response

{
  "status": "ok",
  "time": "2025-08-30T18:34:01Z"
}

500 Response

{
  "error": "string",
  "details": {}
}

๐Ÿ” Responses

StatusMeaningDescriptionSchema
200OKTRX node is reachableInline
500Internal Server ErrorCould not connect to TRX nodeInline

๐Ÿ”„ Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
ยป statusstringfalsenonenone
ยป timestring(date-time)falsenonenone

Status Code 500

NameTypeRequiredRestrictionsDescription
ยป errorstringfalsenonenone
ยป detailsobjectfalsenonenone
To perform this operation, you must be authenticated by means of one of the following methods: ApiKeyAuth
Last Updated:: 3/27/26, 2:59 PM
Contributors: support
Prev
๐Ÿ“‘ Get TRX node info